<div class="closed-projects-list mb-5">
  <div class="container">

    <div class="search-div">
      <mat-form-field class="search-form-field">
        <input matInput [(ngModel)]="searchKey" placeholder="Wyszukaj projekt po jego nazwie" autocomplete="off"
               (keyup)="applyFilter()">
        <button mat-button matSuffix mat-icon-button aria-label="Wyczyść" *ngIf="searchKey" (click)="onSearchClear()">
          <mat-icon>close</mat-icon>
        </button>
      </mat-form-field>
    </div>

    <div class="mat-elevation-z8">
      <mat-table mat-table [dataSource]="closedProjectsDataSource" matSort>

        <ng-container matColumnDef="name">
          <mat-header-cell mat-header-cell *matHeaderCellDef mat-sort-header> Nazwa projektu</mat-header-cell>
          <mat-cell mat-cell *matCellDef="let element"> {{element?.name}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="code">
          <mat-header-cell mat-header-cell *matHeaderCellDef mat-sort-header> Kod projektu</mat-header-cell>
          <mat-cell mat-cell *matCellDef="let element"> {{element?.code}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="client">
          <mat-header-cell mat-header-cell *matHeaderCellDef> Klient</mat-header-cell>
          <mat-cell mat-cell
                    *matCellDef="let element"> {{element?.client?.name ? element?.client?.name : '--Projekt wewnętrzny--'}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="projectManager">
          <mat-header-cell mat-header-cell *matHeaderCellDef mat-sort-header> Kierownik projektu</mat-header-cell>
          <mat-cell mat-cell
                    *matCellDef="let element"> {{element?.manager?.data?.firstName}} {{element?.manager?.data?.lastName}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="startDate">
          <mat-header-cell mat-header-cell *matHeaderCellDef mat-sort-header> Data rozpoczęcia</mat-header-cell>
          <mat-cell mat-cell *matCellDef="let element"> {{element?.startDate  | date: 'd/MM/yyyy'}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="endDate">
          <mat-header-cell mat-header-cell *matHeaderCellDef mat-sort-header> Data zakończenia
          </mat-header-cell>
          <mat-cell mat-cell *matCellDef="let element"> {{element?.endDate  | date: 'd/MM/yyyy'}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="spentBudget">
          <mat-header-cell mat-header-cell *matHeaderCellDef mat-sort-header> Przeznaczony budżet</mat-header-cell>
          <mat-cell mat-cell
                    *matCellDef="let element"> {{element?.spentBudget | currency: 'PLN':'symbol':'':'pl'}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="finalIncome">
          <mat-header-cell mat-header-cell *matHeaderCellDef mat-sort-header> Finalny przychód</mat-header-cell>
          <mat-cell mat-cell
                    *matCellDef="let element"> {{element?.finalIncome | currency: 'PLN':'symbol':'':'pl'}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="loading">
          <mat-footer-cell *matFooterCellDef>
            Ładowanie danych...
          </mat-footer-cell>
        </ng-container>
        <ng-container matColumnDef="noData">
          <mat-footer-cell *matFooterCellDef>
            Aktualnie brak danych o zamkniętych projektach.
          </mat-footer-cell>
        </ng-container>

        <ng-container matColumnDef="actions">
          <mat-header-cell *matHeaderCellDef></mat-header-cell>
          <mat-cell *matCellDef="let row">
            <ng-container *ngIf="currentUser?.permissions?.canEditProjects">
              <a mat-icon-button color="accent" [routerLink]="['/company/projects/', row.id]">
                <mat-icon matTooltip="Pokaż szczegóły projektu">arrow_forward</mat-icon>
              </a>
            </ng-container>
          </mat-cell>
        </ng-container>

        <mat-header-row mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>

        <mat-footer-row *matFooterRowDef="['loading']"
                        [ngClass]="{'none':closedProjectsDataSource!=null}"></mat-footer-row>
        <mat-footer-row *matFooterRowDef="['noData']"
                        [ngClass]="{'none':!(closedProjectsDataSource!=null && closedProjectsDataSource.data.length==0)}"></mat-footer-row>
      </mat-table>

      <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" [pageSize]="10" showFirstLastButtons></mat-paginator>

    </div>
  </div>
</div>
